# -*- coding: utf-8 -*-
from openerp import fields, models, api
from openerp.exceptions import Warning as UserError

class ProjectServiceBudget(models.Model):
    _name = 'project.service.budget'

    date = fields.Date(string='Date', select=True, copy=False)
    task_id = fields.Many2one('project.service.task', string='Tarea', required=True)
    user_id = fields.Many2one('res.users', string='Funcionario', required=True)
    amount = fields.Float(string='Commission', required=True)

class ProjectServiceBudgetWizard(models.TransientModel):
    _name = 'project.service.budget.wizard'

    date = fields.Date(string='Date', select=True, copy=False)
    task_id = fields.Many2one('project.service.task', string='Tarea', required=True)
    user_id = fields.Many2one('res.users', string='Funcionario', required=True)
    amount = fields.Float(string='Commission', required=True)

    _defaults = {
        'user_id': lambda obj, cr, uid, ctx=None: uid,
        'date': date.today(),
        # .strftime('%Y-%m-%d')
    }

    @api.one
    def add_budget(self):
        active_id = self._context['active_id']
        task = self.env['project.service.task'].browse(active_id)

        val = {
            'task_id': active_id,
            'date': self.date,
            'user_id': self.user_id.id,
            'amount': self.amount,
        }
        self.env['project.service.budget'].create(val)

    